<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../../conf/connection.php');
   //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $identidad=stripslashes($_POST["identidad"]);
	  $nombre=stripslashes($_POST["nombre"]);
	
	  $direccion=stripslashes($_POST["dir"]);
	  $ciudad=stripslashes($_POST["ciudad"]);
	
	  $fono=stripslashes($_POST["fono"]);
	  $correo=stripslashes($_POST["correo"]);
	  $credito=stripslashes($_POST["credito"]);
	  $contado=stripslashes($_POST["contado"]);
	  $nivel=stripslashes($_POST["nivel"]);
	  $pass=stripslashes($_POST["pass"]);
	  $mesa=stripslashes($_POST["mesa"]);
	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from user_system where rut_user=\"$identidad\"";
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	    //Es decir si devolvio registros
		if($nr_ide>0)
		{
			//Mandamos un script java con notificacion
			echo "Este RUT: $identidad ya existe!"; 
		}
		//procedemos a guardar el registro
		else
		{
			//agregamos el usuario a la mesa.
			
			$sel_mesa="UPDATE mesa SET cliente='$nombre' WHERE idmesa='$mesa'";
		    $rs_mesa=mysql_query($sel_mesa);
			
			
			
			//Construimos el query!
			$insertar="insert into user_system(rut_user, nombre_user, dir_user,fono_user,correo_user,pass,tipo_user) 
			values (";
			$insertar.="\"$identidad\", \"$nombre\", \"$direccion\", \"$fono\", \"$correo\", \"$pass\",
			 \"$nivel\")";
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			echo "Registro almacenado con exito!";
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  else
  {
	  echo "Intento ilegal de llamar al SCRIPT!";
  }
?>